Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractProgressBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractProgressBar

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

Direct Known Subclasses:
  UIProgressBar

    public abstract class AbstractProgressBar

extends javax.faces.component.UIComponentBase
implements org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

The <rich:progressBar> component displays a progress bar to indicate the status of a process to the user. It can update either through Ajax or on the client side, and the look and feel can be fully customized.

Author:
  "Andrey Markavtsov"

Field Summary
`static String` | `COMPONENT_FAMILY` Component family
`static String` | `COMPONENT_TYPE` Component type
`static String` | `STATE_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`AbstractProgressBar()`

Method Summary
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`abstract Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`abstract String` | `getFinishClass()` Space-separated list of CSS style class(es) to be applied when before progress finishes.
`abstract String` | `getInitialClass()` Space-separated list of CSS style class(es) to be applied when before progress starts.
`abstract int` | `getInterval()` Interval (in ms) for call poll requests.
`abstract String` | `getLabel()` Defines a simple label instead of rendering children component
`abstract Object` | `getMaxValue()` Max value, after which complete state should be rendered.
`abstract Object` | `getMinValue()` Min value when initial state should be rendered.
`abstract org.richfaces.component.SwitchType` | `getMode()` The mode for updating the progress bar, can be one of:
`abstract String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
`abstract String` | `getOnbegin()` The client-side script method to be called before an ajax request.
`abstract String` | `getOnclick()`
`abstract String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
`abstract String` | `getOndblclick()`
`abstract String` | `getOnfinish()` The client-side script method to be called when progress is finished
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getProgressClass()` Space-separated list of CSS style class(es) to be applied to the progress bar element.
`abstract String` | `getRemainingClass()` Space-separated list of CSS style class(es) to be applied to the remaining part of the progress bar.
`abstract String` | `getResource()`
`abstract String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
`abstract String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`abstract Object` | `getValue()` Sets the current value of the progress
`abstract boolean` | `isEnabled()` Enables/disables polling.
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`abstract void` | `setData(Object data)`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  Component type

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

  Component family

  See Also:
    Constant Field Values

### STATE_META_COMPONENT_ID

    public static final String STATE_META_COMPONENT_ID

See Also:
  Constant Field Values

Constructor Detail

### AbstractProgressBar

    public AbstractProgressBar()

Method Detail

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmouseup

    public abstract String getOnmouseup()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnbegin

    public abstract String getOnbegin()

  The client-side script method to be called before an ajax request.

### getLabel

    public abstract String getLabel()

  Defines a simple label instead of rendering children component

### getData

    public abstract Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax

### setData

    public abstract void setData(Object data)

### getInterval

    public abstract int getInterval()

  Interval (in ms) for call poll requests.

  Default value 1000 ms (1 sec)

### isEnabled

    public abstract boolean isEnabled()

  Enables/disables polling.

  Default value is "true".

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

  The client-side script method to be called after the ajax response comes back, but before the DOM is updated

### getOncomplete

    public abstract String getOncomplete()

  The client-side script method to be called after the DOM is updated

### getOnfinish

    public abstract String getOnfinish()

  The client-side script method to be called when progress is finished

### getInitialClass

    public abstract String getInitialClass()

  Space-separated list of CSS style class(es) to be applied when before progress starts. This value must be passed through as the "class" attribute on generated markup.

### getRemainingClass

    public abstract String getRemainingClass()

  Space-separated list of CSS style class(es) to be applied to the remaining part of the progress bar. This value must be passed through as the "class" attribute on generated markup.

### getProgressClass

    public abstract String getProgressClass()

  Space-separated list of CSS style class(es) to be applied to the progress bar element. This value must be passed through as the "class" attribute on generated markup.

### getFinishClass

    public abstract String getFinishClass()

  Space-separated list of CSS style class(es) to be applied when before progress finishes. This value must be passed through as the "class" attribute on generated markup.

### getMode

    public abstract org.richfaces.component.SwitchType getMode()

  The mode for updating the progress bar, can be one of:

  ajax
    The progress bar updates in the same way as the <a4j:poll> component. The <rich:progressBar> component repeatedly polls the server for the current progress value.
  client
    The progress bar must be explicitly updated on the client side through the JavaScript API.

  Default is "ajax"

### getMaxValue

    public abstract Object getMaxValue()

  Max value, after which complete state should be rendered.

  Default value is "100".

### getMinValue

    public abstract Object getMinValue()

  Min value when initial state should be rendered.

  Default value is "0".

### getValue

    public abstract Object getValue()

  Sets the current value of the progress

### getResource

    public abstract String getResource()

### getStyle

    public abstract String getStyle()

  CSS style(s) to be applied when this component is rendered.

### getStyleClass

    public abstract String getStyleClass()

  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.